Running 10.4.9 on mini-mac. Need 10.5.1 to run Epson Projector. What can I do?

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted